package com.tuoheng.miniprogram.service;

import com.tuoheng.common.core.common.IBaseService;
import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.miniprogram.entity.WorkOrder;
import com.tuoheng.miniprogram.entity.dto.WorkOrderDto;
import com.tuoheng.miniprogram.entity.query.HandleQuery;
import com.tuoheng.miniprogram.entity.query.WorkOrderQuery;
import com.tuoheng.miniprogram.enums.DistributionWorkorderRequest;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2022/12/6
 */
public interface IWorkOrderService extends IBaseService<WorkOrder> {


    JsonResult addInfo(WorkOrderDto dto);

    JsonResult getTodoList(WorkOrderQuery query);

    JsonResult handle(HandleQuery query);

    JsonResult getCompleted(WorkOrderQuery query);

    JsonResult details(HandleQuery query);

    JsonResult weekCount();

    JsonResult mothCount();

    JsonResult generate(List<String> idList);

    JsonResult distribution(DistributionWorkorderRequest request);
}
